Package org.apache.cxf.bus.managers

# Class HeaderManagerImpl

java.lang.Object
org.apache.cxf.bus.managers.HeaderManagerImpl

All Implemented Interfaces:
  `HeaderManager`

public class HeaderManagerImpl extends Object implements HeaderManager

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderManagerImpl()`
  `HeaderManagerImpl(Bus b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Bus`
  `getBus()`
  `HeaderProcessor`
  `getHeaderProcessor(String namespace)`
  `void`
  `registerHeaderProcessor(HeaderProcessor processor)`
  `final void`
  `setBus(Bus bus)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HeaderManagerImpl

    public HeaderManagerImpl()

  - ### HeaderManagerImpl

    public HeaderManagerImpl(Bus b)

- ## Method Details

  - ### getBus

    public Bus getBus()

  - ### setBus

    public final void setBus(Bus bus)

  - ### getHeaderProcessor

    public HeaderProcessor getHeaderProcessor(String namespace)
    Specified by:
      `getHeaderProcessor` in interface `HeaderManager`

  - ### registerHeaderProcessor

    public void registerHeaderProcessor(HeaderProcessor processor)
    Specified by:
      `registerHeaderProcessor` in interface `HeaderManager`